
package net.northking.cctp.upperComputer.deviceManager.entity;

import com.google.gson.annotations.Expose;
import com.google.gson.annotations.SerializedName;

import java.util.List;

@SuppressWarnings("unused")
public class DeviceBaseInfo {

    @SerializedName("ActivationState")
    private String activationState;
    @SerializedName("ActivationStateAcknowledged")
    private Boolean activationStateAcknowledged;
    @SerializedName("BasebandActivationTicketVersion")
    private String basebandActivationTicketVersion;
    @SerializedName("BasebandCertId")
    private Long basebandCertId;
    @SerializedName("BasebandChipID")
    private Long basebandChipID;
    @SerializedName("BasebandKeyHashInformation")
    private BasebandKeyHashInformation basebandKeyHashInformation;
    @SerializedName("BasebandMasterKeyHash")
    private String basebandMasterKeyHash;
    @SerializedName("BasebandRegionSKU")
    private String basebandRegionSKU;
    @SerializedName("BasebandSerialNumber")
    private String basebandSerialNumber;
    @SerializedName("BasebandStatus")
    private String basebandStatus;
    @SerializedName("BasebandVersion")
    private String basebandVersion;
    @SerializedName("BluetoothAddress")
    private String bluetoothAddress;
    @SerializedName("BoardId")
    private Long boardId;
    @SerializedName("BootSessionID")
    private String bootSessionID;
    @SerializedName("BrickState")
    private Boolean brickState;
    @SerializedName("BuildVersion")
    private String buildVersion;
    @SerializedName("CPUArchitecture")
    private String cPUArchitecture;
    @SerializedName("CarrierBundleInfoArray")
    private List<Object> carrierBundleInfoArray;
    @SerializedName("CertID")
    private Long certID;
    @SerializedName("ChipID")
    private Long chipID;
    @SerializedName("ChipSerialNo")
    private String chipSerialNo;
    @SerializedName("DeviceClass")
    private String deviceClass;
    @SerializedName("DeviceColor")
    private String deviceColor;
    @SerializedName("DeviceName")
    private String deviceName;
    @SerializedName("DieID")
    private Long dieID;
    @SerializedName("EthernetAddress")
    private String ethernetAddress;
    @SerializedName("FirmwareVersion")
    private String firmwareVersion;
    @SerializedName("FusingStatus")
    private Long fusingStatus;
    @SerializedName("HardwareModel")
    private String hardwareModel;
    @SerializedName("HardwarePlatform")
    private String hardwarePlatform;
    @SerializedName("HasSiDP")
    private Boolean hasSiDP;
    @SerializedName("HostAttached")
    private Boolean hostAttached;
    @SerializedName("HumanReadableProductVersionString")
    private String humanReadableProductVersionString;
    @SerializedName("InternationalMobileEquipmentIdentity")
    private String internationalMobileEquipmentIdentity;
    @SerializedName("InternationalMobileEquipmentIdentity2")
    private String internationalMobileEquipmentIdentity2;
    @Expose
    private String kCTPostponementStatus;
    @SerializedName("MLBSerialNumber")
    private String mLBSerialNumber;
    @SerializedName("MobileEquipmentIdentifier")
    private String mobileEquipmentIdentifier;
    @SerializedName("MobileSubscriberCountryCode")
    private String mobileSubscriberCountryCode;
    @SerializedName("MobileSubscriberNetworkCode")
    private String mobileSubscriberNetworkCode;
    @SerializedName("ModelNumber")
    private String modelNumber;
    @SerializedName("NonVolatileRAM")
    private NonVolatileRAM nonVolatileRAM;
    @SerializedName("PairRecordProtectionClass")
    private Long pairRecordProtectionClass;
    @SerializedName("PartitionType")
    private String partitionType;
    @SerializedName("PasswordProtected")
    private Boolean passwordProtected;
    @SerializedName("PkHash")
    private String pkHash;
    @SerializedName("ProductName")
    private String productName;
    @SerializedName("ProductType")
    private String productType;
    @SerializedName("ProductVersion")
    private String productVersion;
    @SerializedName("ProductionSOC")
    private Boolean productionSOC;
    @SerializedName("ProtocolVersion")
    private String protocolVersion;
    @SerializedName("ProximitySensorCalibration")
    private String proximitySensorCalibration;
    @SerializedName("RegionInfo")
    private String regionInfo;
    @SerializedName("SIMStatus")
    private String sIMStatus;
    @SerializedName("SIMTrayStatus")
    private String sIMTrayStatus;
    @SerializedName("SerialNumber")
    private String serialNumber;
    @SerializedName("SoftwareBehavior")
    private String softwareBehavior;
    @SerializedName("SoftwareBundleVersion")
    private String softwareBundleVersion;
    @SerializedName("SupportedDeviceFamilies")
    private List<Long> supportedDeviceFamilies;
    @SerializedName("TelephonyCapability")
    private Boolean telephonyCapability;
    @SerializedName("TimeIntervalSince1970")
    private Double timeIntervalSince1970;
    @SerializedName("TimeZone")
    private String timeZone;
    @SerializedName("TimeZoneOffsetFromUTC")
    private Double timeZoneOffsetFromUTC;
    @SerializedName("TrustedHostAttached")
    private Boolean trustedHostAttached;
    @SerializedName("UniqueChipID")
    private Long uniqueChipID;
    @SerializedName("UniqueDeviceID")
    private String uniqueDeviceID;
    @SerializedName("UseRaptorCerts")
    private Boolean useRaptorCerts;
    @SerializedName("Uses24HourClock")
    private Boolean uses24HourClock;
    @SerializedName("WiFiAddress")
    private String wiFiAddress;
    @SerializedName("WirelessBoardSerialNumber")
    private String wirelessBoardSerialNumber;

    public String getActivationState() {
        return activationState;
    }

    public void setActivationState(String activationState) {
        this.activationState = activationState;
    }

    public Boolean getActivationStateAcknowledged() {
        return activationStateAcknowledged;
    }

    public void setActivationStateAcknowledged(Boolean activationStateAcknowledged) {
        this.activationStateAcknowledged = activationStateAcknowledged;
    }

    public String getBasebandActivationTicketVersion() {
        return basebandActivationTicketVersion;
    }

    public void setBasebandActivationTicketVersion(String basebandActivationTicketVersion) {
        this.basebandActivationTicketVersion = basebandActivationTicketVersion;
    }

    public Long getBasebandCertId() {
        return basebandCertId;
    }

    public void setBasebandCertId(Long basebandCertId) {
        this.basebandCertId = basebandCertId;
    }

    public Long getBasebandChipID() {
        return basebandChipID;
    }

    public void setBasebandChipID(Long basebandChipID) {
        this.basebandChipID = basebandChipID;
    }

    public BasebandKeyHashInformation getBasebandKeyHashInformation() {
        return basebandKeyHashInformation;
    }

    public void setBasebandKeyHashInformation(BasebandKeyHashInformation basebandKeyHashInformation) {
        this.basebandKeyHashInformation = basebandKeyHashInformation;
    }

    public String getBasebandMasterKeyHash() {
        return basebandMasterKeyHash;
    }

    public void setBasebandMasterKeyHash(String basebandMasterKeyHash) {
        this.basebandMasterKeyHash = basebandMasterKeyHash;
    }

    public String getBasebandRegionSKU() {
        return basebandRegionSKU;
    }

    public void setBasebandRegionSKU(String basebandRegionSKU) {
        this.basebandRegionSKU = basebandRegionSKU;
    }

    public String getBasebandSerialNumber() {
        return basebandSerialNumber;
    }

    public void setBasebandSerialNumber(String basebandSerialNumber) {
        this.basebandSerialNumber = basebandSerialNumber;
    }

    public String getBasebandStatus() {
        return basebandStatus;
    }

    public void setBasebandStatus(String basebandStatus) {
        this.basebandStatus = basebandStatus;
    }

    public String getBasebandVersion() {
        return basebandVersion;
    }

    public void setBasebandVersion(String basebandVersion) {
        this.basebandVersion = basebandVersion;
    }

    public String getBluetoothAddress() {
        return bluetoothAddress;
    }

    public void setBluetoothAddress(String bluetoothAddress) {
        this.bluetoothAddress = bluetoothAddress;
    }

    public Long getBoardId() {
        return boardId;
    }

    public void setBoardId(Long boardId) {
        this.boardId = boardId;
    }

    public String getBootSessionID() {
        return bootSessionID;
    }

    public void setBootSessionID(String bootSessionID) {
        this.bootSessionID = bootSessionID;
    }

    public Boolean getBrickState() {
        return brickState;
    }

    public void setBrickState(Boolean brickState) {
        this.brickState = brickState;
    }

    public String getBuildVersion() {
        return buildVersion;
    }

    public void setBuildVersion(String buildVersion) {
        this.buildVersion = buildVersion;
    }

    public String getCPUArchitecture() {
        return cPUArchitecture;
    }

    public void setCPUArchitecture(String cPUArchitecture) {
        this.cPUArchitecture = cPUArchitecture;
    }

    public List<Object> getCarrierBundleInfoArray() {
        return carrierBundleInfoArray;
    }

    public void setCarrierBundleInfoArray(List<Object> carrierBundleInfoArray) {
        this.carrierBundleInfoArray = carrierBundleInfoArray;
    }

    public Long getCertID() {
        return certID;
    }

    public void setCertID(Long certID) {
        this.certID = certID;
    }

    public Long getChipID() {
        return chipID;
    }

    public void setChipID(Long chipID) {
        this.chipID = chipID;
    }

    public String getChipSerialNo() {
        return chipSerialNo;
    }

    public void setChipSerialNo(String chipSerialNo) {
        this.chipSerialNo = chipSerialNo;
    }

    public String getDeviceClass() {
        return deviceClass;
    }

    public void setDeviceClass(String deviceClass) {
        this.deviceClass = deviceClass;
    }

    public String getDeviceColor() {
        return deviceColor;
    }

    public void setDeviceColor(String deviceColor) {
        this.deviceColor = deviceColor;
    }

    public String getDeviceName() {
        return deviceName;
    }

    public void setDeviceName(String deviceName) {
        this.deviceName = deviceName;
    }

    public Long getDieID() {
        return dieID;
    }

    public void setDieID(Long dieID) {
        this.dieID = dieID;
    }

    public String getEthernetAddress() {
        return ethernetAddress;
    }

    public void setEthernetAddress(String ethernetAddress) {
        this.ethernetAddress = ethernetAddress;
    }

    public String getFirmwareVersion() {
        return firmwareVersion;
    }

    public void setFirmwareVersion(String firmwareVersion) {
        this.firmwareVersion = firmwareVersion;
    }

    public Long getFusingStatus() {
        return fusingStatus;
    }

    public void setFusingStatus(Long fusingStatus) {
        this.fusingStatus = fusingStatus;
    }

    public String getHardwareModel() {
        return hardwareModel;
    }

    public void setHardwareModel(String hardwareModel) {
        this.hardwareModel = hardwareModel;
    }

    public String getHardwarePlatform() {
        return hardwarePlatform;
    }

    public void setHardwarePlatform(String hardwarePlatform) {
        this.hardwarePlatform = hardwarePlatform;
    }

    public Boolean getHasSiDP() {
        return hasSiDP;
    }

    public void setHasSiDP(Boolean hasSiDP) {
        this.hasSiDP = hasSiDP;
    }

    public Boolean getHostAttached() {
        return hostAttached;
    }

    public void setHostAttached(Boolean hostAttached) {
        this.hostAttached = hostAttached;
    }

    public String getHumanReadableProductVersionString() {
        return humanReadableProductVersionString;
    }

    public void setHumanReadableProductVersionString(String humanReadableProductVersionString) {
        this.humanReadableProductVersionString = humanReadableProductVersionString;
    }

    public String getInternationalMobileEquipmentIdentity() {
        return internationalMobileEquipmentIdentity;
    }

    public void setInternationalMobileEquipmentIdentity(String internationalMobileEquipmentIdentity) {
        this.internationalMobileEquipmentIdentity = internationalMobileEquipmentIdentity;
    }

    public String getInternationalMobileEquipmentIdentity2() {
        return internationalMobileEquipmentIdentity2;
    }

    public void setInternationalMobileEquipmentIdentity2(String internationalMobileEquipmentIdentity2) {
        this.internationalMobileEquipmentIdentity2 = internationalMobileEquipmentIdentity2;
    }

    public String getKCTPostponementStatus() {
        return kCTPostponementStatus;
    }

    public void setKCTPostponementStatus(String kCTPostponementStatus) {
        this.kCTPostponementStatus = kCTPostponementStatus;
    }

    public String getMLBSerialNumber() {
        return mLBSerialNumber;
    }

    public void setMLBSerialNumber(String mLBSerialNumber) {
        this.mLBSerialNumber = mLBSerialNumber;
    }

    public String getMobileEquipmentIdentifier() {
        return mobileEquipmentIdentifier;
    }

    public void setMobileEquipmentIdentifier(String mobileEquipmentIdentifier) {
        this.mobileEquipmentIdentifier = mobileEquipmentIdentifier;
    }

    public String getMobileSubscriberCountryCode() {
        return mobileSubscriberCountryCode;
    }

    public void setMobileSubscriberCountryCode(String mobileSubscriberCountryCode) {
        this.mobileSubscriberCountryCode = mobileSubscriberCountryCode;
    }

    public String getMobileSubscriberNetworkCode() {
        return mobileSubscriberNetworkCode;
    }

    public void setMobileSubscriberNetworkCode(String mobileSubscriberNetworkCode) {
        this.mobileSubscriberNetworkCode = mobileSubscriberNetworkCode;
    }

    public String getModelNumber() {
        return modelNumber;
    }

    public void setModelNumber(String modelNumber) {
        this.modelNumber = modelNumber;
    }

    public NonVolatileRAM getNonVolatileRAM() {
        return nonVolatileRAM;
    }

    public void setNonVolatileRAM(NonVolatileRAM nonVolatileRAM) {
        this.nonVolatileRAM = nonVolatileRAM;
    }

    public Long getPairRecordProtectionClass() {
        return pairRecordProtectionClass;
    }

    public void setPairRecordProtectionClass(Long pairRecordProtectionClass) {
        this.pairRecordProtectionClass = pairRecordProtectionClass;
    }

    public String getPartitionType() {
        return partitionType;
    }

    public void setPartitionType(String partitionType) {
        this.partitionType = partitionType;
    }

    public Boolean getPasswordProtected() {
        return passwordProtected;
    }

    public void setPasswordProtected(Boolean passwordProtected) {
        this.passwordProtected = passwordProtected;
    }

    public String getPkHash() {
        return pkHash;
    }

    public void setPkHash(String pkHash) {
        this.pkHash = pkHash;
    }

    public String getProductName() {
        return productName;
    }

    public void setProductName(String productName) {
        this.productName = productName;
    }

    public String getProductType() {
        return productType;
    }

    public void setProductType(String productType) {
        this.productType = productType;
    }

    public String getProductVersion() {
        return productVersion;
    }

    public void setProductVersion(String productVersion) {
        this.productVersion = productVersion;
    }

    public Boolean getProductionSOC() {
        return productionSOC;
    }

    public void setProductionSOC(Boolean productionSOC) {
        this.productionSOC = productionSOC;
    }

    public String getProtocolVersion() {
        return protocolVersion;
    }

    public void setProtocolVersion(String protocolVersion) {
        this.protocolVersion = protocolVersion;
    }

    public String getProximitySensorCalibration() {
        return proximitySensorCalibration;
    }

    public void setProximitySensorCalibration(String proximitySensorCalibration) {
        this.proximitySensorCalibration = proximitySensorCalibration;
    }

    public String getRegionInfo() {
        return regionInfo;
    }

    public void setRegionInfo(String regionInfo) {
        this.regionInfo = regionInfo;
    }

    public String getSIMStatus() {
        return sIMStatus;
    }

    public void setSIMStatus(String sIMStatus) {
        this.sIMStatus = sIMStatus;
    }

    public String getSIMTrayStatus() {
        return sIMTrayStatus;
    }

    public void setSIMTrayStatus(String sIMTrayStatus) {
        this.sIMTrayStatus = sIMTrayStatus;
    }

    public String getSerialNumber() {
        return serialNumber;
    }

    public void setSerialNumber(String serialNumber) {
        this.serialNumber = serialNumber;
    }

    public String getSoftwareBehavior() {
        return softwareBehavior;
    }

    public void setSoftwareBehavior(String softwareBehavior) {
        this.softwareBehavior = softwareBehavior;
    }

    public String getSoftwareBundleVersion() {
        return softwareBundleVersion;
    }

    public void setSoftwareBundleVersion(String softwareBundleVersion) {
        this.softwareBundleVersion = softwareBundleVersion;
    }

    public List<Long> getSupportedDeviceFamilies() {
        return supportedDeviceFamilies;
    }

    public void setSupportedDeviceFamilies(List<Long> supportedDeviceFamilies) {
        this.supportedDeviceFamilies = supportedDeviceFamilies;
    }

    public Boolean getTelephonyCapability() {
        return telephonyCapability;
    }

    public void setTelephonyCapability(Boolean telephonyCapability) {
        this.telephonyCapability = telephonyCapability;
    }

    public Double getTimeIntervalSince1970() {
        return timeIntervalSince1970;
    }

    public void setTimeIntervalSince1970(Double timeIntervalSince1970) {
        this.timeIntervalSince1970 = timeIntervalSince1970;
    }

    public String getTimeZone() {
        return timeZone;
    }

    public void setTimeZone(String timeZone) {
        this.timeZone = timeZone;
    }

    public Double getTimeZoneOffsetFromUTC() {
        return timeZoneOffsetFromUTC;
    }

    public void setTimeZoneOffsetFromUTC(Double timeZoneOffsetFromUTC) {
        this.timeZoneOffsetFromUTC = timeZoneOffsetFromUTC;
    }

    public Boolean getTrustedHostAttached() {
        return trustedHostAttached;
    }

    public void setTrustedHostAttached(Boolean trustedHostAttached) {
        this.trustedHostAttached = trustedHostAttached;
    }

    public Long getUniqueChipID() {
        return uniqueChipID;
    }

    public void setUniqueChipID(Long uniqueChipID) {
        this.uniqueChipID = uniqueChipID;
    }

    public String getUniqueDeviceID() {
        return uniqueDeviceID;
    }

    public void setUniqueDeviceID(String uniqueDeviceID) {
        this.uniqueDeviceID = uniqueDeviceID;
    }

    public Boolean getUseRaptorCerts() {
        return useRaptorCerts;
    }

    public void setUseRaptorCerts(Boolean useRaptorCerts) {
        this.useRaptorCerts = useRaptorCerts;
    }

    public Boolean getUses24HourClock() {
        return uses24HourClock;
    }

    public void setUses24HourClock(Boolean uses24HourClock) {
        this.uses24HourClock = uses24HourClock;
    }

    public String getWiFiAddress() {
        return wiFiAddress;
    }

    public void setWiFiAddress(String wiFiAddress) {
        this.wiFiAddress = wiFiAddress;
    }

    public String getWirelessBoardSerialNumber() {
        return wirelessBoardSerialNumber;
    }

    public void setWirelessBoardSerialNumber(String wirelessBoardSerialNumber) {
        this.wirelessBoardSerialNumber = wirelessBoardSerialNumber;
    }


}
